Bug 491784 - [QLogic 4.8 bug] qla2xxx - fixes for flash, loop resets and HBA traversal
[QLogic 4.8 bug] qla2xxx - fixes for flash, loop resets and HBA traversal
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
high Severity high
: rc
: 4.8
Assigned To: Marcus Barrow
Red Hat Kernel QE team
: OtherQA
Depends On:
Blocks: 450896
  Show dependency treegraph
 
Reported: 2009-03-23 22:51 EDT by Marcus Barrow
Modified: 2009-05-18 15:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:20:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qla2xxx - fix logic lip (10.64 KB, patch)
2009-03-25 16:20 EDT, Marcus Barrow
no flags Details | Diff
qla2xxx - flash fixes (17.20 KB, patch)
2009-03-25 16:20 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2009-03-23 22:51:38 EDT
Updates found during testing at QLogic.

 - Fixes loop reset function
    
    Fix the loop reset function to not wait if issued from dpc context.
    Also fixed the full login lip mailbox command
    Honor nvram settings for full login lip and target reset

 - Traverse upto max no. of HBAs supported by driver for SETINSTANCE IOCTL
    
 - Flash programming fixes
Comment 1 RHEL Product and Program Management 2009-03-24 09:38:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Andrius Benokraitis 2009-03-24 21:40:40 EDT
Marcus - when do you plan to have these POSTed?
Comment 3 Marcus Barrow 2009-03-25 08:20:53 EDT
Today, March 2th. They need  little re-arranging to apply cleanly.
Comment 4 Marcus Barrow 2009-03-25 16:20:08 EDT
Created attachment 336699 [details]
qla2xxx - fix logic lip
Comment 5 Marcus Barrow 2009-03-25 16:20:54 EDT
Created attachment 336700 [details]
qla2xxx - flash fixes
Comment 8 Vivek Goyal 2009-03-31 11:44:15 EDT
Committed in 86.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 10 Chris Ward 2009-04-09 03:43:49 EDT
~~ Attention Partners! Snap 3 Released ~~
RHEL 4.8 Snapshot 3 has been released on partners.redhat.com. There
should be a fix present that resolves this bug.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have found a NEW bug, clone this
bug and describe the issues you encountered. Further questions can be
directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the
Verified field above. Please leave a comment with your test results details.
Include which arches tested, package version and any applicable logs.
Comment 11 Chris Ward 2009-04-16 09:14:16 EDT
~~ Attention! Snap 4 Released ~~
RHEL 4.8 Snapshot 4 has been released on partners.redhat.com. There
should be a fix present that resolves this bug. There's not much more time to test. Please report back results ASAP.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have found a NEW bug, clone this
bug and describe the issues you encountered. Further questions can be
directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the
Verified field above. Please leave a comment with your test results details.
Include which arches tested, package version and any applicable logs.
Comment 13 errata-xmlrpc 2009-05-18 15:20:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.